import Team from "./Team";
import {useState} from "react";

export default function Match() {

    const [teamOneScore, setTeamOneScore] = useState(0);
    const [teamTwoScore, setTeamTwoScore] = useState(0);

    const teamOneWinning = teamOneScore > teamTwoScore;
    const teamTwoWinning = teamTwoScore > teamOneScore;

    return(
        <div className={`m-2 hover:shadow-lg border-4 rounded-xl`}>
            <Team name={'Lucca'} score={teamOneScore} setScore={setTeamOneScore} winning={teamOneWinning}/>
            <Team name={'Jonas'} score={teamTwoScore} setScore={setTeamTwoScore} winning={teamTwoWinning}/>
        </div>
    )
}